#include "xsurfacecollisionaabb.h"

XSurfaceCollisionAabb::XSurfaceCollisionAabb()
    : XAsset()
    , mMins(3)
    , mMaxs(3)
{
    SetName("Surface Collision AABB");
}

void XSurfaceCollisionAabb::ParseData(XDataStream *aStream)
{
    *aStream
        >> mMins[0]
        >> mMins[1]
        >> mMins[2]
        >> mMaxs[0]
        >> mMaxs[1]
        >> mMaxs[2];
}

void XSurfaceCollisionAabb::Clear()
{
    
}
